System.ServiceModel 4.0.0.0 System.Enum

This enumeration is used by to specify the type of client credential to be used for authentication against the proxy.

Enumerates the valid credential types for HTTP proxy authentication.

- Field
  4.0.0.0
  System.ServiceModel.HttpProxyCredentialType

  Specifies basic authentication. For more information, see RFC 2617 – HTTP Authentication: Basic and Digest Authentication.

- Field
  4.0.0.0
  System.ServiceModel.HttpProxyCredentialType

  Specifies digest authentication. For more information, see RFC 2617 – HTTP Authentication: Basic and Digest Authentication.

- Field
  4.0.0.0
  System.ServiceModel.HttpProxyCredentialType

  Specifies anonymous authentication.

- Field
  4.0.0.0
  System.ServiceModel.HttpProxyCredentialType

  Specifies NTLM authentication.

- Field
  4.0.0.0
  System.ServiceModel.HttpProxyCredentialType

  Specifies Windows authentication.